PDA

View Full Version : GLib missing



icyisamu
March 27th, 2006, 01:44 PM
I am using Ruby-Gnome2.

In my laptop, I can compile this :


require 'gtk2'
Gtk.init
window = Gtk::Window.new
window.show
Gtk.main

However, in my desktop, I get a Glib missing error.

What packages am I missing? I tried to install the required packages again but it doesn't seem to work.

M4av0
March 27th, 2006, 02:49 PM
I think you need libglib and/or libglibc, maybe even -dev versions. They are on the
ubuntu CD /pool/main/g/glib(c).
Hope this helps.

icyisamu
March 27th, 2006, 04:44 PM
Thanks. Fixed by reinstalling all the required packages.